Debian Bug report logs - #604134
partman-base: Makes MacOS 9 incompatible partition table

version graph

Package: installation-guide-powerpc; Maintainer for installation-guide-powerpc is Debian Install System Team <debian-boot@lists.debian.org>; Source for installation-guide-powerpc is src:installation-guide.

Reported by: wittau@lnxnt.org

Date: Sat, 20 Nov 2010 15:21:01 UTC

Severity: important

Tags: d-i, squeeze, squeeze-ignore, wheezy

Fixed in version installation-guide/20130408

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#604134; Package installation-reports. (Sat, 20 Nov 2010 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to wittau@lnxnt.org:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 20 Nov 2010 15:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: wittau@lnxnt.org
To: wittau@lnxnt.org, submit@bugs.debian.org
Subject: ppc: after debian installation MacOS 9.2 won't recognize disk anymore
Date: Sat, 20 Nov 2010 00:19:46 +0100
Package: installation-reports
Severity: critical
Tags: d-i
Justification: breaks unrelated software (other OS on same computer)

We did a clean new installation of MacOS 9.2.2, and subsequent the next 
step for setting up a dualboot system. We created 3 partitions with MacOS 9 
(1 Linux with 71GB, two hfs+ 30GB) - the Linux partition was first on the
disk, that's what the d-i manual recommends. Then we used the Debian 
netinstaller (default mode) to remove the Linux partition, because yaboot 
needs it's own extra partition. Then we let the installer do the automatic 
Linux partitioning for beginners, on the now empty space. 
The Debian installation worked flawlessly and all data are recognized from 
within debian (even the Mac OS data).

However after rebooting the system, yaboot only found the debian installation
but didn't know anything about the Mac OS 9 system present on the same hard
drive. We manually added the Mac OS installation to yaboot.conf, which kind of
worked (yaboot indeed switches to open firmware) but the Mac OS installation
appears destroyed (the disk symbol with the blinking question mark).

Next step was to reboot from MacOS 9 CD and see what the partitioning 
tool from MacOS can tell. Nothing. "Laufwerke Konfigurieren" (a German 
system - can't remember the English name for the partitioning tool)
reports a not formatted IDE disc.

As said above all MacOS 9 data are accessable from Debian, but it seems to us
Debian partitioning tool is "killing" the non afflicted MacOS 9 partitions for
MacOS 9. We don't know how to get our MacOS 9 system back. People who try to
install Debian not at a seperat hard disk will get serious problems, as they
not only have no dualboot system - they even would have no MacOS anymore and a
kind of complete dataloss, ...

Please let us know if we can help with further information. Also any hints
how to get our MacOS installation back working without reinstalling (and
thus killing Debian) would be appreciated.

-- Package-specific info:

Boot method: CD
Image version: http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/powerpc/iso-cd/debian-testing-powerpc-netinst.iso
Date: Fre Nov 19 16:43:35 CET 2010

Machine: Macintosh PPC G4 @1.4 GHz
Partitions: <df -Tl will do; the raw partition table is preferred>

druck@G414:~$ df -Tl
Dateisystem   Typ    1K&#8208;Blöcke   Benutzt Verfügbar Ben% Eingehängt auf
/dev/hda12    ext3    70154660   3691936  62899056   6% /
tmpfs        tmpfs      256508         0    256508   0% /lib/init/rw
udev         tmpfs      251548       220    251328   1% /dev
tmpfs        tmpfs      256508         0    256508   0% /dev/shm
druck@G414:~$

The MacOS Volumes were hda10 and hda11.
We guess the yaboot-partition is hda9


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [E]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [E]
Overall install:        [E]

Comments/Problems:

On the "Partition hard drives" error:
After partitioning the hard drive in d-i, the open firmware and the
MacOS installation CDROM both did not recognize any volumes anymore. 
Thus rendering the system unuseable.

On the "Install boot loader": d-i failed to setup the bootloader in way
that the other OS can be loaded. This works for other platforms/OS, so 
we see no obvious reason why that shouldn't work on ppc/MacOS 9 too.

See above for a detailed description of how we used the installer.

-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="6.0 (squeeze) - installer build 20101119-00:04"
X_INSTALLATION_MEDIUM=cdrom

==============================================
Installer hardware-summary:
==============================================
uname -a: Linux G414 2.6.32-5-powerpc #1 Sat Oct 30 23:26:42 UTC 2010 ppc GNU/Linux
lspci -knn: 0000:00:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth AGP [106b:0020]
lspci -knn: 	Kernel driver in use: agpgart-uninorth
lspci -knn: 0000:00:10.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon R200 QL [Radeon 8500 LE] [1002:514c]
lspci -knn: 	Subsystem: ATI Technologies Inc Radeon R200 QL [Radeon 8500 LE] [1002:514c]
lspci -knn: 	Kernel driver in use: radeonfb
lspci -knn: 0001:10:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth PCI [106b:001f]
lspci -knn: 0001:10:0d.0 PCI bridge [0604]: Digital Equipment Corporation DECchip 21154 [1011:0026] (rev 05)
lspci -knn: 0001:11:02.0 SCSI storage controller [0100]: Adaptec AIC-7850 [9004:5078] (rev 03)
lspci -knn: 	Subsystem: Adaptec Device [9004:7850]
lspci -knn: 	Kernel driver in use: aic7xxx
lspci -knn: 0001:11:07.0 Unassigned class [ff00]: Apple Computer Inc. KeyLargo Mac I/O [106b:0022] (rev 02)
lspci -knn: 	Kernel driver in use: macio
lspci -knn: 0001:11:08.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo USB [106b:0019]
lspci -knn: 	Kernel driver in use: ohci_hcd
lspci -knn: 0001:11:09.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo USB [106b:0019]
lspci -knn: 	Kernel driver in use: ohci_hcd
lspci -knn: 0001:11:0a.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB12LV23 IEEE-1394 Controller [104c:8019]
lspci -knn: 	Kernel driver in use: firewire_ohci
lspci -knn: 0002:21:0b.0 Host bridge [0600]: Apple Computer Inc. UniNorth Internal PCI [106b:001e]
lspci -knn: 0002:21:0f.0 Ethernet controller [0200]: Apple Computer Inc. UniNorth GMAC (Sun GEM) [106b:0021] (rev 01)
lspci -knn: 	Kernel driver in use: gem
usb-list: 
usb-list: Bus 01 Device 01: OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-powerpc ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 01 Device 02: Hub in Apple Extended USB Keyboard [05ac:1002]
usb-list:    Level 01 Parent 01 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Mitsumi Electric
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 01 Device 03: Apple Extended USB Keyboard [05ac:0205]
usb-list:    Level 02 Parent 02 Port 00  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Mitsumi Electric
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 01 Driver usbhid
usb-list:    Interface 01: Class 03(HID  ) Subclass 00 Protocol 00 Driver usbhid
usb-list: 
usb-list: Bus 01 Device 04: Apple Optical USB Mouse [05ac:0306]
usb-list:    Level 02 Parent 02 Port 01  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Fujitsu Component
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 02 Driver usbhid
usb-list: 
usb-list: Bus 02 Device 01: OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-powerpc ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
lsmod: Module                  Size  Used by
lsmod: nls_utf8                4504  0 
lsmod: ufs                    78714  0 
lsmod: hfsplus                80912  0 
lsmod: reiserfs              247283  0 
lsmod: binfmt_misc            10371  1 
lsmod: dm_mod                 63547  0 
lsmod: md_mod                 88171  0 
lsmod: xfs                   493681  0 
lsmod: exportfs                6642  1 xfs
lsmod: jfs                   170394  0 
lsmod: hfs                    48162  0 
lsmod: ext4                  320087  0 
lsmod: jbd2                   70877  1 ext4
lsmod: crc16                   4475  1 ext4
lsmod: ext3                  124692  1 
lsmod: jbd                    40847  1 ext3
lsmod: vfat                   12438  0 
lsmod: fat                    49491  1 vfat
lsmod: ext2                   66565  0 
lsmod: mbcache                 8286  3 ext4,ext3,ext2
lsmod: sungem                 30865  0 
lsmod: sungem_phy             12982  1 sungem
lsmod: isofs                  32648  1 
lsmod: firewire_sbp2          16011  0 
lsmod: usb_storage            40502  0 
lsmod: usbhid                 39936  0 
lsmod: hid                    68185  1 usbhid
lsmod: aic7xxx               114153  0 
lsmod: ohci_hcd               35272  0 
lsmod: ide_cd_mod             28561  1 
lsmod: firewire_ohci          25992  0 
lsmod: scsi_transport_spi     24065  1 aic7xxx
lsmod: cdrom                  36699  1 ide_cd_mod
lsmod: ehci_hcd               42846  0 
lsmod: firewire_core          44186  2 firewire_sbp2,firewire_ohci
lsmod: scsi_mod              126838  4 firewire_sbp2,usb_storage,aic7xxx,scsi_transport_spi
lsmod: usbcore               131855  5 usb_storage,usbhid,ohci_hcd,ehci_hcd
lsmod: nls_base                8693  8 nls_utf8,hfsplus,jfs,hfs,vfat,fat,isofs,usbcore
lsmod: crc_itu_t               4495  1 firewire_core
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: tmpfs                   256508        72    256436   0% /dev
df: /dev/hdc                240248    240248         0 100% /cdrom
df: /dev/hda12            70154660   3526436  63064556   5% /target
df: /dev/hda12            70154660   3526436  63064556   5% /dev/.static/dev
df: tmpfs                   256508        72    256436   0% /target/dev
free:               total         used         free       shared      buffers
free:   Mem:       513016       487648        25368            0       100612
free:  Swap:      1503304          140      1503164
free: Total:      2016320       487788      1528532
/proc/cmdline: ro ramdisk_size=10240 -- 
/proc/cpuinfo: processor	: 0
/proc/cpuinfo: cpu		: 7455, altivec supported
/proc/cpuinfo: clock		: 1200.000000MHz
/proc/cpuinfo: revision	: 3.3 (pvr 8001 0303)
/proc/cpuinfo: bogomips	: 49.81
/proc/cpuinfo: timebase	: 24907667
/proc/cpuinfo: platform	: PowerMac
/proc/cpuinfo: model		: PowerMac3,1
/proc/cpuinfo: machine		: PowerMac3,1
/proc/cpuinfo: motherboard	: PowerMac3,1 MacRISC2 MacRISC Power Macintosh
/proc/cpuinfo: detected as	: 65 (PowerMac G4 AGP Graphics)
/proc/cpuinfo: pmac flags	: 00000004
/proc/cpuinfo: L2 cache	: 256K unified
/proc/cpuinfo: pmac-generation	: NewWorld
/proc/cpuinfo: Memory		: 512 MB
/proc/ioports: 00000000-007fffff : /pci@f2000000
/proc/ioports:   00000000-00000fff : Legacy IO
/proc/ioports:   00001000-00001fff : PCI Bus 0001:11
/proc/ioports:     00001000-000010ff : 0001:11:02.0
/proc/ioports: 00802000-01001fff : /pci@f0000000
/proc/ioports:   00802400-008024ff : 0000:00:10.0
/proc/ioports: ff7fe000-ffffdfff : /pci@f4000000
/proc/ioports:   ff7fe000-ff7fefff : Legacy IO
/proc/iomem: 80000000-8fffffff : /pci@f2000000
/proc/iomem:   80000000-800fffff : PCI Bus 0001:11
/proc/iomem:     80000000-8007ffff : 0001:11:07.0
/proc/iomem:       80000000-8007ffff : 0.80000000:mac-io
/proc/iomem:         80000050-8000007f : 0.00000050:gpio
/proc/iomem:         80008800-800088ff : 0.00014000:davbus
/proc/iomem:         80008900-800089ff : 0.00014000:davbus
/proc/iomem:         80008a00-80008aff : 0.0001f000:ata-4
/proc/iomem:           80008a00-80008aff : ide-pmac (dma)
/proc/iomem:         80008b00-80008bff : 0.00020000:ata-3
/proc/iomem:           80008b00-80008bff : ide-pmac (dma)
/proc/iomem:         80008c00-80008cff : 0.00021000:ata-3
/proc/iomem:           80008c00-80008cff : ide-pmac (dma)
/proc/iomem:         80013000-80013000 : 0.00013000:ch-b
/proc/iomem:           80013000-80013000 : pmac_zilog
/proc/iomem:         80013010-80013010 : 0.00013000:ch-b
/proc/iomem:           80013010-80013010 : pmac_zilog
/proc/iomem:         80013020-80013020 : 0.00013020:ch-a
/proc/iomem:           80013020-80013020 : pmac_zilog
/proc/iomem:         80013030-80013030 : 0.00013020:ch-a
/proc/iomem:           80013030-80013030 : pmac_zilog
/proc/iomem:         80013040-80013040 : 0.00013000:ch-b
/proc/iomem:           80013040-80013040 : pmac_zilog
/proc/iomem:         80013050-80013050 : 0.00013020:ch-a
/proc/iomem:           80013050-80013050 : pmac_zilog
/proc/iomem:         80014000-80014fff : 0.00014000:davbus
/proc/iomem:         80015000-80015fff : 0.00015000:timer
/proc/iomem:         80016000-80017fff : 0.00016000:via-pmu
/proc/iomem:         80018000-80018fff : 0.00018000:i2c
/proc/iomem:         8001f000-8001ffff : 0.0001f000:ata-4
/proc/iomem:           8001f000-8001ffff : ide-pmac (ports)
/proc/iomem:         80020000-80020fff : 0.00020000:ata-3
/proc/iomem:           80020000-80020fff : ide-pmac (ports)
/proc/iomem:         80021000-80021fff : 0.00021000:ata-3
/proc/iomem:           80021000-80021fff : ide-pmac (ports)
/proc/iomem:         80040000-8007ffff : 0.00040000:interrup
/proc/iomem:     80080000-800807ff : 0001:11:0a.0
/proc/iomem:       80080000-800807ff : firewire_ohci
/proc/iomem:     80081000-80081fff : 0001:11:09.0
/proc/iomem:       80081000-80081fff : ohci_hcd
/proc/iomem:     80082000-80082fff : 0001:11:08.0
/proc/iomem:       80082000-80082fff : ohci_hcd
/proc/iomem:     80083000-80083fff : 0001:11:02.0
/proc/iomem:       80083000-80083fff : aic7xxx
/proc/iomem:     80084000-80087fff : 0001:11:0a.0
/proc/iomem: 90000000-9fffffff : /pci@f0000000
/proc/iomem:   90000000-9000ffff : 0000:00:10.0
/proc/iomem:     90000000-9000ffff : radeonfb mmio
/proc/iomem:   90020000-9003ffff : 0000:00:10.0
/proc/iomem:   98000000-9fffffff : 0000:00:10.0
/proc/iomem:     98000000-9fffffff : radeonfb framebuffer
/proc/iomem: f1000000-f1ffffff : /pci@f0000000
/proc/iomem: f3000000-f3ffffff : /pci@f2000000
/proc/iomem: f5000000-f5ffffff : /pci@f4000000
/proc/iomem:   f5000000-f50fffff : 0002:21:0f.0
/proc/iomem:   f5200000-f53fffff : 0002:21:0f.0
/proc/iomem:     f5200000-f53fffff : sungem
/proc/interrupts:            CPU0       
/proc/interrupts:  19:    1462868   MPIC 1    Level     ide0
/proc/interrupts:  20:       3789   MPIC 1    Level     ide1
/proc/interrupts:  23:          0   MPIC 1    Level     ide2
/proc/interrupts:  25:         77   MPIC 1    Level     VIA-PMU
/proc/interrupts:  26:          0   MPIC 1    Level     keywest i2c
/proc/interrupts:  27:       1160   MPIC 1    Level     ohci_hcd:usb1
/proc/interrupts:  28:          1   MPIC 1    Level     ohci_hcd:usb2
/proc/interrupts:  41:    1104824   MPIC 1    Level     eth0
/proc/interrupts:  42:          0   MPIC 1    Level     keywest i2c
/proc/interrupts:  47:          0   MPIC 1    Level     GPIO1 ADB
/proc/interrupts:  52:          7   MPIC 1    Level     aic7xxx
/proc/interrupts:  55:          0   MPIC 1    Edge      NMI - XMON
/proc/interrupts:  63:        101   MPIC 1    Level     firewire_ohci
/proc/interrupts: BAD:          0
/proc/meminfo: MemTotal:         513016 kB
/proc/meminfo: MemFree:           25368 kB
/proc/meminfo: Buffers:          100612 kB
/proc/meminfo: Cached:           326580 kB
/proc/meminfo: SwapCached:           80 kB
/proc/meminfo: Active:           186476 kB
/proc/meminfo: Inactive:         228308 kB
/proc/meminfo: Active(anon):        740 kB
/proc/meminfo: Inactive(anon):    19632 kB
/proc/meminfo: Active(file):     185736 kB
/proc/meminfo: Inactive(file):   208676 kB
/proc/meminfo: Unevictable:       32708 kB
/proc/meminfo: Mlocked:               0 kB
/proc/meminfo: HighTotal:             0 kB
/proc/meminfo: HighFree:              0 kB
/proc/meminfo: LowTotal:         513016 kB
/proc/meminfo: LowFree:           25368 kB
/proc/meminfo: SwapTotal:       1503304 kB
/proc/meminfo: SwapFree:        1503164 kB
/proc/meminfo: Dirty:              2028 kB
/proc/meminfo: Writeback:             0 kB
/proc/meminfo: AnonPages:         20252 kB
/proc/meminfo: Mapped:             2456 kB
/proc/meminfo: Shmem:                72 kB
/proc/meminfo: Slab:              31820 kB
/proc/meminfo: SReclaimable:      28720 kB
/proc/meminfo: SUnreclaim:         3100 kB
/proc/meminfo: KernelStack:         480 kB
/proc/meminfo: PageTables:          540 kB
/proc/meminfo: NFS_Unstable:          0 kB
/proc/meminfo: Bounce:                0 kB
/proc/meminfo: WritebackTmp:          0 kB
/proc/meminfo: CommitLimit:     1759812 kB
/proc/meminfo: Committed_AS:      24808 kB
/proc/meminfo: VmallocTotal:     473224 kB
/proc/meminfo: VmallocUsed:       25528 kB
/proc/meminfo: VmallocChunk:     440556 kB
/proc/bus/input/devices: I: Bus=0017 Vendor=0001 Product=0001 Version=0100
/proc/bus/input/devices: N: Name="Macintosh mouse button emulation"
/proc/bus/input/devices: P: Phys=
/proc/bus/input/devices: S: Sysfs=/devices/virtual/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse0 
/proc/bus/input/devices: B: EV=7
/proc/bus/input/devices: B: KEY=70000 0 0 0 0 0 0 0 0
/proc/bus/input/devices: B: REL=3
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0019 Vendor=0001 Product=0001 Version=0100
/proc/bus/input/devices: N: Name="PMU"
/proc/bus/input/devices: P: Phys=
/proc/bus/input/devices: S: Sysfs=/devices/virtual/input/input1
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd 
/proc/bus/input/devices: B: EV=23
/proc/bus/input/devices: B: KEY=100000 0 0 0
/proc/bus/input/devices: B: SW=1
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=05ac Product=0205 Version=0110
/proc/bus/input/devices: N: Name="Mitsumi Electric Apple Extended USB Keyboard"
/proc/bus/input/devices: P: Phys=usb-0001:11:08.0-1.1/input0
/proc/bus/input/devices: S: Sysfs=/devices/pci0001:10/0001:10:0d.0/0001:11:08.0/usb1/1-1/1-1.1/1-1.1:1.0/input/input2
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd 
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=10000 7 ff9f207a c14057ff febeffdf ffefffff ffffffff fffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=1f
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=05ac Product=0205 Version=0110
/proc/bus/input/devices: N: Name="Mitsumi Electric Apple Extended USB Keyboard"
/proc/bus/input/devices: P: Phys=usb-0001:11:08.0-1.1/input1
/proc/bus/input/devices: S: Sysfs=/devices/pci0001:10/0001:10:0d.0/0001:11:08.0/usb1/1-1/1-1.1/1-1.1:1.1/input/input3
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd 
/proc/bus/input/devices: B: EV=13
/proc/bus/input/devices: B: KEY=10000 17a 840c000 e0000 0 0 0
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=05ac Product=0306 Version=0110
/proc/bus/input/devices: N: Name="Fujitsu Component Apple Optical USB Mouse"
/proc/bus/input/devices: P: Phys=usb-0001:11:08.0-1.2/input0
/proc/bus/input/devices: S: Sysfs=/devices/pci0001:10/0001:10:0d.0/0001:11:08.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input4
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse1 
/proc/bus/input/devices: B: EV=17
/proc/bus/input/devices: B: KEY=10000 0 0 0 0 0 0 0 0
/proc/bus/input/devices: B: REL=3
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: 

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.32-5-powerpc
Locale: LANG=de_AT.utf8, LC_CTYPE=de_AT.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#604134; Package installation-reports. (Sat, 20 Nov 2010 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 20 Nov 2010 16:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 604134@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: wittau@lnxnt.org, 604134@bugs.debian.org
Subject: Re: Bug#604134: ppc: after debian installation MacOS 9.2 won't recognize disk anymore
Date: Sat, 20 Nov 2010 17:49:51 +0100
[Message part 1 (text/plain, inline)]
reassign 604134 yaboot-installer
thanks

Quoting wittau@lnxnt.org (wittau@lnxnt.org):

> As said above all MacOS 9 data are accessable from Debian, but it seems to us
> Debian partitioning tool is "killing" the non afflicted MacOS 9 partitions for
> MacOS 9. We don't know how to get our MacOS 9 system back. People who try to
> install Debian not at a seperat hard disk will get serious problems, as they
> not only have no dualboot system - they even would have no MacOS anymore and a
> kind of complete dataloss, ...
> 
> Please let us know if we can help with further information. Also any hints
> how to get our MacOS installation back working without reinstalling (and
> thus killing Debian) would be appreciated.

If there's a surviving powerpc porter, hopefully....


[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'installation-reports' to 'yaboot-installer'. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Sat, 20 Nov 2010 16:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#604134; Package yaboot-installer. (Sun, 21 Nov 2010 02:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to wittau@lnxnt.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 21 Nov 2010 02:39:02 GMT) Full text and rfc822 format available.

Message #17 received at 604134@bugs.debian.org (full text, mbox):

From: "Mathias Wittau" <wittau@lnxnt.org>
To: 604134@bugs.debian.org
Subject: Re: ppc: after debian installation MacOS 9.2 won't recognize disk anymore
Date: Sun, 21 Nov 2010 03:01:27 +0100 (CET)
I did further investigations if other people had similar problems, and
indeed the problem occured several times. For example in 2008 here:
http://lists.debian.org/debian-powerpc/2008/05/msg00047.html
So it seems to be a common issue. But the solution which worked for José,
and Samy back than, do not work in my case/with the latest test image.

It's not that the different volumes are not activated/unmounted, it is
that the entire hard disk, with all partitions, appears as "not
initialized"! Maybe it is the same complex of problems - just a little bit
more complicated now, as the Debian partitioning tool advanced? If so, it
is maybe not too much work to fix this, and prevent users from beeing
unable to have a dualboot system and loosing in unexpected ways the MacOS
9 installation?








Bug 604134 cloned as bug 604192. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Sun, 21 Nov 2010 05:00:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#604134; Package yaboot-installer. (Sun, 21 Nov 2010 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 21 Nov 2010 05:27:03 GMT) Full text and rfc822 format available.

Message #24 received at 604134@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: 604134@bugs.debian.org
Subject: Re: Bug#604134: ppc: after debian installation MacOS 9.2 won't recognize disk anymore
Date: Sat, 20 Nov 2010 23:56:29 -0500
[Message part 1 (text/plain, inline)]
clone 604134 -1
reassign -1 os-prober
retitle -1 os-prober: Won't detect MacOS 9
severity -1 important
affects -1 yaboot-installer
thanks

I can confirm that os-prober takes a look at hfsplus partition
containing MacOS 9, but won't report installed MacOS 9. Cloning to
os-prober.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#604134; Package yaboot-installer. (Sun, 21 Nov 2010 20:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 21 Nov 2010 20:27:06 GMT) Full text and rfc822 format available.

Message #29 received at 604134@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: 604134@bugs.debian.org
Subject: Re: Bug#604134: ppc: after debian installation MacOS 9.2 won't recognize disk anymore
Date: Sun, 21 Nov 2010 15:25:17 -0500
[Message part 1 (text/plain, inline)]
It looks like installer creates MacOS 9 incompatible partition table,
but which works fine with MacOS X and Linux.

After partitioning a disk using default settings with MacOS X installer
CD I installed MacOS X on its third partition and MacOS 9 on its second
partition. Then:

- booted the machine using squeeze testing installer cd and backed up
partition table to a memory stick.

- installed squeeze testing by manually removing the first HFS+
partition and then letting Guided partitioning to "use the largest
continuous free space."

- rebooted into squeeze and observed that it works fine, it can mount
and use all partitions

- rebooted into MacOS X and observed that it also works fine, able to
mount and use the partition containing MacOS 9 installation

- rebooted into MacOS 9:
  - firmware finds the partition
  - loads MacOS 9
  - MacOS 9 displays a small disk with a blinking question mark, not
being able to find any partition

- reboot into squeeze again
- restore partition table from the memory stick
- reboot into MacOS 9, it works fine
- reboot into MacOS X, it works fine

Hope this helps.


[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'yaboot-installer' to 'partman-base'. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Sun, 21 Nov 2010 20:48:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'partman-base: Makes MacOS 9 incompatible partition table' from 'ppc: after debian installation MacOS 9.2 won't recognize disk anymore' Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Sun, 21 Nov 2010 20:48:08 GMT) Full text and rfc822 format available.

Added indication that 604134 affects yaboot-installer Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Sun, 21 Nov 2010 20:48:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'partman-base' to 'parted'. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Sun, 19 Dec 2010 15:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Tue, 04 Jan 2011 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Schroeer <sebixmag@web.de>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Tue, 04 Jan 2011 00:45:03 GMT) Full text and rfc822 format available.

Message #42 received at 604134@bugs.debian.org (full text, mbox):

From: Sebastian Schroeer <sebixmag@web.de>
To: wittau@lnxnt.org, 604134@bugs.debian.org
Subject: Re: Bug#604134: ppc: after debian installation MacOS 9.2 won't recognize, disk anymore
Date: Tue, 04 Jan 2011 01:43:57 +0000
Dear Mr Wittau!

To make sure that nothing unexpected will cause you troubles, please 
read through my complete text first before doing anything: I 
successfully run Debian "Lenny", Mac OS 9, Mac OS X 10.4, and 10.5 on my 
PowerMac G4/800MHz "Quicksilver" using just one hard disk drive with 
various partitions. I can confirm that after an installation of Debian - 
Debian 5.0.7 "Lenny", but such problems also occured with a testing 
version of "Squeeze" I tested in August 2010 or so - on a NewWorld 
PowerPC Macintosh you might run into trouble booting a separate Mac OS 9 
OS from a different partition which you had installed before.

Please make sure that the program "Drive Setup", respectively "Laufwerke 
konfigurieren" (German system version of Mac OS 9) recognises the hard 
disk drive you use, for, actually, there are IDE HDDs which are not 
supported by this program, and then you cannot use it. As you intend to 
use yaboot I assume that the HDD is connected with an internal IDE port, 
i. e. the same hard disk drive(!) might cause troubles if you try to 
connect it via FireWire in an external case, for in many cases "Drive 
Setup" / "Laufwerke konfigurieren" will not recognize it anymore if 
connected externally via FireWire. (Problems regarding FireWire support 
of external hard disk drives and file systems were, however, fixed by 
Apple in later releases of Mac OS X operating systems, AFAIR.)


Quoting wittau@lnxnt.org (wittau@lnxnt.org):

>> the Linux partition was first on the
>> disk, that's what the d-i manual recommends

Which manual do you actually refer to? Do you refer to the Debian manual 
for PowerPC installations?


I think that the sequence of partitions used for operating systems 
should not matter too much, and personally I set up my Linux partitions 
in the final section of my hard disk drive ("at the end" of the disk 
space available). After initializing my HDD with Mac OS 9's "Drive 
Setup" / "Laufwerke konfigurieren" eight partitions were created, and 
they were named "Apple", seven times "Macintosh", and 1 x "Patch 
Partition". I did not touch them with the Debian installer, and their 
sizes only come up to an amount of 25kb to about 300kb, each. It seems 
that Mac OS 9 needs these partitions to mount HFS(+) formatted volumes; 
well, actually I am sure of that. The first partition I use for the data 
of my operating systems is "hda9". Preferably, "Mac OS Extended" (HFS+) 
should be used as a file system for Mac OS 9 (and Mac OS X) operating 
systems.

I added several other partitions ("hda10"..."hda16") for my daily work 
purposes. Yet, I created the final Debian partitions on my HDD with the 
Debian installation tool from the netboot.iso disc, I think, i.e. during 
the process of the installation of Debian GNU/Linux. In my case I 
allowed the Debian installer to create a partition "hda17" of 1.0MB 
(could be even less, I think, but I used 1MB; nevermind) as a sort of 
boot partition on NewWorld PowerPC computers for the yaboot boot loader. 
It is followed by a /root partition for Debian GNU/Linux "hda18" sized 
about 12.5GB. On my HDD "hda19" equals a /home partition of 35GB. 
Finally, I opted to use about 1.9GB of disc space on my Swap partition 
"hda20", and that's it, for I own 1.5GB of physical memory in this 
machine.  

Actually, if you're still trying to fix your problem, I think, however, 
that you probably do not have to reorganize your set of partitions; at 
least if you did not destroy any of those small partitions required by 
Mac OS 9.

If your Debian GNU/Linux testing system is up and running and if you did 
not destroy the partitions Mac OS 9 created during the hard disc 
initialisation process (including the HFS partition you used to install 
Mac OS 9 on, of course), please just restart your Macintosh with your 
Mac OS 9 installation CD. If you then run "Drive Setup", respectively 
"Laufwerke konfigurieren" (German system version of Mac OS 9), this 
program will report an IDE disc which was not initialized. Of course, 
you _must_not_ use this tool to initialize your HDD again, for we 
actually KNOW that it has already been initialized by Mac OS 9, whilst 
Debian just added a couple of additional partitions. (If you wanted to 
reinitialize you would have to start over again to install Debian from 
the start.)

So just use this tool "Drive Setup" / "Laufwerke konfigurieren" to 
update the driver ("Treiber aktualisieren") of your hard disk drive. You 
should find this function in a pull-down menu (and you might have to 
"select" this device _once_ with your mouse button before, until its 
background is shaded with a sort of purple color). If Mac OS 9 can 
successfully update your HDD's driver the HFS(+) partition(s) of the Mac 
OS 9 OS you had created before might appear on your screen. Yet, you 
might also have to reboot your Macintosh one more time from the Mac OS 9 
installation CD to (hopefully) see it/them mounted.

Updating the HDD driver using "Drive Setup" does, AFAIK, not have any 
effect on partitions primarily used by Debian GNU/Linux, but do not 
blame me should you encounter any data loss: Please update your HDD 
drivers only on systems you backed up before; the same applies to 
creating additional partitions or changing the partition table.

Of course, your ext2/ext3 or whatever Linux style partitions you use 
will be invisible if you use a standardized Mac OS 9 OS environment; 
Debian GNU/Linux can, however, access partitions with HFS(+) file systems.

Well, I hope that this works and you will see your Mac OS installation 
again. In such a dualboot environment which you intend to set up you can 
switch between Mac OS 9 and Debian GNU/Linux by pressing (and holding 
down) the "alt" key right after you switch on your Mac (or reboot). Then 
you should have the option to use your mouse (or even keyboard) to 
select which OS you want to use.

For a proper "boot loading experience" with the yaboot boot loader, 
please edit the file "/etc/yaboot.conf" according to your needs by 
editing the respective entries for partitions for "Mac OS 9" and 
"/root", then run the script "/sbin/ybin", and restart. Please note: Any 
time you _use_ the Mac OS 9 Control Panel "Startup Disc" ("Startvolume") 
this will reset your yaboot settings and you will need to run /sbin/ybin 
again, and restart. (Once I even decided to archive this Control Panel 
with DropStuff to ensure that I do not accidentally activate it...)

Kind regards,

Sebastian Schroeer




Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Tue, 11 Jan 2011 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Tue, 11 Jan 2011 19:06:03 GMT) Full text and rfc822 format available.

Message #47 received at 604134@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Sebastian Schroeer <sebixmag@web.de>, 604134@bugs.debian.org
Cc: wittau@lnxnt.org
Subject: Re: Bug#604134: ppc: after debian installation MacOS 9.2 won't recognize, disk anymore
Date: Tue, 11 Jan 2011 19:02:23 +0000
user release.debian.org@packages.debian.org
tag 604134 + squeeze-ignore
usertag 604134 + squeeze-can-defer
thanks

Hi,

On Tue, 2011-01-04 at 01:43 +0000, Sebastian Schroeer wrote:
> Dear Mr Wittau!
> 
> To make sure that nothing unexpected will cause you troubles, please 
> read through my complete text first before doing anything: I 
> successfully run Debian "Lenny", Mac OS 9, Mac OS X 10.4, and 10.5 on my 
> PowerMac G4/800MHz "Quicksilver" using just one hard disk drive with 
> various partitions. 

It sounds like there's a workaround for the problems mentioned in this
bug report, so I don't think this should be a blocker for squeeze;
tagging appropriately.

Regards,

Adam





Added tag(s) squeeze-ignore. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 11 Jan 2011 19:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Tue, 11 Jan 2011 22:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Schroeer <sebixmag@web.de>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Tue, 11 Jan 2011 22:27:05 GMT) Full text and rfc822 format available.

Message #54 received at 604134@bugs.debian.org (full text, mbox):

From: Sebastian Schroeer <sebixmag@web.de>
To: adam@adam-barratt.org.uk, wittau@lnxnt.org, 604134@bugs.debian.org
Subject: Re: Bug#604134: ppc: after debian installation MacOS 9.2 won't recognize, disk anymore
Date: Tue, 11 Jan 2011 23:23:00 +0000
Adam D. Barratt wrote:

> It sounds like there's a workaround for the problems mentioned in this
> bug report, so I don't think this should be a blocker for squeeze;
> tagging appropriately.
>   

Hi!

I also think that this problem should not serve as a reason for a delay 
of Squeeze.

Yet, ideally an experienced PowerPC Debian developer should have a close 
look at the Debian installer and related programs to find out why after 
a Debian installation it is crucial to reboot with a Mac OS 9 
installation CD and use it to update the HDD's driver another time, just 
to still be able to use a Mac OS 9 already installed on a different disk 
partition.

I even fear unexperienced users might be unable to rescue their Mac OS 
data, be it by simply updating the HDD's driver or (as Debian supports 
HFS file systems) by using Debian GNU/Linux.

If I write a few lines about this issue, is there a chance of getting 
this into the PPC manual for installations of Debian on Power Macintosh 
computers?

Last week Mr Wittau contacted me; he stated that he wanted to try the 
installations again and that he intended to report back.

Kind regards,

Sebastian Schroeer




Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Mon, 17 Jan 2011 02:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to wittau@lnxnt.org:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Mon, 17 Jan 2011 02:06:03 GMT) Full text and rfc822 format available.

Message #59 received at 604134@bugs.debian.org (full text, mbox):

From: "Mathias Wittau" <wittau@lnxnt.org>
To: "Sebastian Schroeer" <sebixmag@web.de>
Cc: 604134@bugs.debian.org
Subject: Re: Bug#604134: ppc: after debian installation MacOS 9.2 won't recognize, disk anymore
Date: Mon, 17 Jan 2011 02:38:49 +0100 (CET)
Dear Sebastian Schroeer!

Your workaround is usable - at least partially. In general it is still
possible to have a bootable Debian beside a bootable MacOS 9 at the same
disk, as long as the Hard Disk is smaller than 128 GB. The last 3 days I
did 8 or 9 complete installations of MacOS 9 AND Debian, so let me report
what happened.

>  >> the Linux partition was first on the
>  >> disk, that's what the d-i manual recommends
>
> Which manual do you actually refer to? Do you refer to the Debian manual
> for PowerPC installations?

I was referring to the "Debian GNU/Linux – Installationsanleitung"
http://debian.org/releases/stable/powerpc/ch03s05.html.de#id2726490


As I already knew the tip with restarting, after Debian installation, with
the MacOS CD and using "update the driver" ("Treiber aktualisieren") from
within drive setup ("Laufwerke konfigurieren") from earlier debian list
postings (see above:
http://lists.debian.org/debian-powerpc/2008/05/msg00047.html ), I began by
repartitioning the entire HD, and putting the Linux partitons at the end
of the HD like you suggested. Who knows maybe the partitions at the end
would have worked, ... but they didn't. I tried manualy partitioning from
within the Debian installer, and also automatically partitioning of the
"biggest free space".

When I did the automatically partitioning at the end of the HD I
recognised that Debian installer reports the entire HD as valid - a 250GB
Seagate disk - while some G4 computers, like mine, have only controllers
for 128GB onboard, what is always reported correctly by MacOSs "drive
setup". But I could use, and even start to install at entire 250 GB with
Debian installer.

So I tried to repartition the drive with "drive setup" by doing 3
partitions. A small one at the end (of the 128 GB), and having 80GB for
Debian before that last small one, as I thought maybe debian will only use
that 80GB inside the part of the HD which is usable by the controller.

After every repartitioning -> installing MacOS 9 -> installing Debian ->
I used a MacOS 9.2.2 CD, and as it didn't work, the original MacOS 9.1 CD
that belongs to the machine, for trying if I can update the drivers. But
it never worked.

I followed the idea that the problem is the "too big HD", and tried
repartitioning the HD from within MacOS, with all partitions that Debian
will need. A small one for yaboot, a big one for "/" and a Swap partition.
Doing this, the debian installer should have only changed the filesystems
but not changed the partitioning itselve.

But also with the disc partitioned by MacOS and not by the Debian
installer, I was not able to use or boot my MacOS 9! I was also not able
to use the drive setup for updating the driver. That is really strange, as
the partition table was not touched by Debian, only the filesystems at
some partitions, ...

So I finally switched to another 80GB HardDisk, used "drive setup" for
creating 2 partitions. One 30 GB HFS+ and one 50 GB "undefined". Rebooted
into Debian installer from CD (the one I used at my first try -> see the
first report here at #604134) and used atomatically partitioning of the
greatest free space, as I did several times before with the other HD.
After installing Debian, I changed the yaboot.conf and added macos (like
also done many times before), used "ybin" and rebooted with the MacOS
9.2.2 CD.
It was immediatly possible to use drive setup, and update the driver. Now
I have a working MacOS 9/ Debian dualboot system.

Later I tried to veryfy everything, but my old Maxtor 20GB HD seems to be
broken. I could not install Debian at all, and I have no further empty HD.
So I am not absolutely sure, but belive the following (also because many
other people reported to use MacOS 9 successfully beside Debian):

-) The bug I reported only occures if the physical size of the disc is
bigger than the maximum possible size that the controller, built in to the
Mac, can handle. Only early G4s are limited to 128 GB. Later G4s even
supported 48-Bit-LBA at the onboard IDE controller.

-) There is no dataloss under circumstances that the disk fits to the
maxiumum possible size, usable by the built in controller (128GB at early
G4s).

-) If the disk is bigger than the size the controller can handle, there is
recently no way to correctly use it. You would need to do a manually
partitioning to the maximum of 128 GB (at early G4s) and you will not be
able to use MacOS 9 and Debian at the same disk - means you will loose
your MacOS 9 installation and never be possible to restart it again, even
when access to the data in general is possible through Debian.

-) You need to update the driver in every case from the MacOS CD after
Debian installation, to be able to reboot into MacOS 9 (or 8.6) again, but
this workaround only works if the disc is smaller than 128 GB (if you use
the onboard controller of the early G4s).


I would suggest the following:

-) write a huge warning into the installation manuals
-) trying to fix the problem when using bigger disks at the original built
in controllers (but beware, as recent Terrabyte disks are no problems
throught PCI cards, and seem to be used often at G4s)
-) downgrade the bug if needed, as it only affects early G4 Macs with
upgraded HDs bigger than 128 GB which do not use the availaible space over
128 GB. A case that might be rarely, as users normally use addon cards for
using bigger SATA or IDE disks.

kind regards

Mathias Wittau








Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Mon, 17 Jan 2011 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Schroeer <sebixmag@web.de>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Mon, 17 Jan 2011 10:33:02 GMT) Full text and rfc822 format available.

Message #64 received at 604134@bugs.debian.org (full text, mbox):

From: Sebastian Schroeer <sebixmag@web.de>
To: wittau@lnxnt.org, adam@adam-barratt.org.uk, 604134@bugs.debian.org
Subject: Re: Bug#604134: ppc: after debian installation MacOS 9.2 won't recognize disk anymore
Date: Mon, 17 Jan 2011 11:30:27 +0000
Hi Mathias,

thanks for the report you've written after you have had so many troubles 
with your PowerMac G4.

Of course, it is crucial to either use hard disk drives supported by 
your early G4 Power Mac's internal PATA controller (i.e. devices 
featuring a capacity of up to 128GB in early Power Mac G4 machines, I 
think) or to connect HDDs with a higher capacity with it and restrict 
their disk space usable to a maximum of 128GB. It is interesting that 
connecting HDDs with a higher capacity and restricting their disk space 
usable to a maximum of 128GB seems only to work if operating systems 
like Mac OS 9 and Mac OS X are used (and no longer as soon as Debian 
GNU/Linux gets involved).

Using an operating system like Debian GNU/Linux does, of course, not 
automatically mean that this is a way of easily exceeding the limits of 
your HDD controller.

I also do not expect that disk errors similar to the ones you reported 
will occur if Power Mac users use special PCI addon cards to operate 
bigger PATA/IDE or SATA disk drives - at least if those PCI addon cards 
are suitable to be used in Power PC Macs (see the product specifications 
and system requirements of e.g. ACARD addon cards). (Personally, 
however, I've never tried to use a HDD controller extension card in a 
Power Mac with Debian GNU/Linux; I only know that such an extension card 
works perfectly in my OldWorld Power Mac 7300 running Mac OS 7 and 9. 
But currently I'm not running Linux on this particular machine, only on 
my Power Mac 7500.)


> -) trying to fix the problem when using bigger disks at the original 
built
> in controllers (but beware, as recent Terrabyte disks are no problems
> throught PCI cards, and seem to be used often at G4s)

I'm not sure if I understand correctly what you're stating here. To be 
honest, I think it is rather unlikely that a software solution within 
the Debian GNU/Linux installation tool allowing you to reliably use 
bigger disks (> 128 GB) connected with the original built-in PATA/IDE 
controller of early Power Mac G4 computers will ever be released. Yet, 
it seems that there was a way of doing this, using a special workaround 
tool, but this product is commercial software and therefore AFAIK it is 
not subject to GPL licence conditions:

http://www.apfeltalk.de/forum/neue-festplatte-powermac-t84599-2.html#post2678601

http://www.macupdate.com/app/mac/14544/speedtools-ata-hi-cap-support-driver

Currently I am not aware of any reports stating that this tool works 
together with Debian GNU/Linux installations or of reports that it does 
not work, thus it seems that using this tool _might_ allow you to use 
bigger HDDs with your system while you would not have to buy new 
hardware products. Probably you would have to check this yourself...


The use of hardware extension cards for the PCI slots might be an option 
allowing you to use larger hard disks - if those extension cards are 
suitable for Power Mac G4 computers, of course. Personally I'd prefer 
this option, for using hardware extension cards might even speed up your 
system's data transfer rates.


The subject of this bug report might imply that there was an 
installation problem if you try to use Debian GNU/Linux together with 
Mac OS 9 on one ("big") hard disk, on various partitions of an early 
Power Mac G4 system. In fact, I think that if you try to use any other 
operating system (like Mac OS X or even MorphOS) in a similar way 
together with Debian GNU/Linux, i.e. by creating several disk partitions 
on a huge hard disk drive > 128GB connected with one of the internal 
PATA/IDE ports of early Power Mac G4 computers, it is likely that 
similar problems will occur, either during the installation process, or 
- even worse - during the operation of those operating systems at a 
later point in time, and, of course, this would mean that there is a 
high danger of data loss.


> -) downgrade the bug if needed, as it only affects early G4 Macs with
> upgraded HDs bigger than 128 GB which do not use the availaible space 
over
> 128 GB.

I remember that a couple of years ago reports were printed in various 
Macintosh computer magazines recommending users of early G4 Macs to use 
HDDs bigger than 128 GB only in such a way with their machines. I think 
we could really say that it is a matter of "tough luck", for it seems 
that running Debian GNU/Linux using such a hardware environment was not 
tested back in those days, but, on the other hand, one could not really 
expect this of journalists. There are still a few references on internet 
forums available about which G4 Macs were affected by this 128 GB 
problem, whilst others weren't:

http://discussions.apple.com/thread.jspa?threadID=1823678

http://forums.xlr8yourmac.com/action.lasso?-database=faq.fp3&layout=FaqList&-response=answer.faq.lasso&-recordID=34188&-search


Kind regards,


Sebastian Schroeer




Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Mon, 17 Jan 2011 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to wittau@lnxnt.org:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Mon, 17 Jan 2011 16:06:03 GMT) Full text and rfc822 format available.

Message #69 received at 604134@bugs.debian.org (full text, mbox):

From: "Mathias Wittau" <wittau@lnxnt.org>
To: "Sebastian Schroeer" <sebixmag@web.de>
Cc: adam@adam-barratt.org.uk, 604134@bugs.debian.org
Subject: Re: Bug#604134: ppc: after debian installation MacOS 9.2 won't recognize disk anymore
Date: Mon, 17 Jan 2011 17:01:20 +0100 (CET)
Hi Sebastian,


> thanks for the report you've written after you have had so many troubles
> with your PowerMac G4.

No problem, I am interrested in a well working Debian ;)


> It is interesting that
> connecting HDDs with a higher capacity and restricting their disk space
> usable to a maximum of 128GB seems only to work if operating systems
> like Mac OS 9 and Mac OS X are used (and no longer as soon as Debian
> GNU/Linux gets involved).

It is! And in special the fact that it even doesn´t work if someone is
partitioning the entire (restricted to 128 GB) space with MacOS, and let
Debian just change the filesystems at the existing partitions, as I
reported above, ...



>  > -) trying to fix the problem when using bigger disks at the original
> built
>  > in controllers (but beware, as recent Terrabyte disks are no problems
>  > throught PCI cards, and seem to be used often at G4s)
>
> I'm not sure if I understand correctly what you're stating here.

I just wanted to point at the fact, that MacOS 9 (and 8) limits are at 42
terrabyte, and the 128 GB is just a limit of the onboard controller of the
early G4s. So a solution that will scan for the controller in use (!)
would be needed, as the problem doesn´t occure at the same machine, with
several addon cards for SATA, LVD-SCSI, or ATA100/133.

http://support.apple.com/kb/TA21924?viewlocale=en_US


Also the general HFS+ limits, 8 exbibyte (EiB), seem to be valid, even if
MacOS "just" can use the 42 terrabyte.


regards

Mathias





Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Sun, 22 May 2011 02:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to annathemermaid@hush.com:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Sun, 22 May 2011 02:27:06 GMT) Full text and rfc822 format available.

Message #74 received at 604134@bugs.debian.org (full text, mbox):

From: annathemermaid@hush.com
To: 604134@bugs.debian.org
Subject: Re: ppc: after debian installation MacOS 9.2 won't recognize disk anymore
Date: Sun, 22 May 2011 01:51:46 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tag 604134 - squeeze-ignore
Justification: workaround doesn't work, alternative workaround
(described below) is horribly, horribly convoluted

I am multi-booting on an iBook G3 (April 2003), 900mHz. The
hardware does, amazingly for a G3, appear to be capable of handling
disks greater than 128 GB, although OS 9.2.2 is not.

This is one of the last models capable of booting directly into Mac
OS 9.2.2, as opposed to only running it in Classic Mode. However,
apparently Mac OS 9.2.2 can only be installed from within Classic
Mode on OS X, not directly off the CD. After Debian broke Mac OS
9.2.2 so it couldn't boot anymore, but instead displayed a floppy
image with a flashing question mark, the Update Drivers function on
the Classic install CD did not work. When booting off the CD, the
option was greyed out, and when opening the CD in Classic mode, it
did not appear capable of seeing the disk. Re-blessing the System
Folder didn't help either. Neither did re-initializing the Apple
Partition Map with OS X's pdisk and manually inputting the
partition map that was there before, although admittedly there were
some asterisks in the original that I could not duplicate.

I have successfully installed OpenBSD and NetBSD on this iBook
without them breaking Mac OS 9.2.2. OpenBSD worked normally, while
NetBSD required following some very well-written instructions about
bypassing certain parts of their installation procedure manually.
The NetBSD makes mention of the default installation procedure
faking the Apple Partition Map in such a way that it works for most
purposes but not for Mac OS; however, it is possible to work around
this by bypassing that portion of the installation and only
modifying (not re-initializing) the partition map with NetBSD's
pdisk. (Which, for the record, they have graciously ported to
Linux.)

Based on the NetBSD documentation, I devised a plan to wipe the
disk and start over, this time bypassing the portions of the Debian
installer than might be causing issues. But first, I copied yaboot,
yaboot.conf, and ofboot.b to a small external drive. For reference,
here are the NetBSD/macppc installation instructions.
ftp://ftp.netbsd.org/pub/NetBSD/NetBSD-5.1/macppc/INSTALL.html

The NetBSD documentation goes into great detail on how to correctly
partition a disk on macppc that is intended to be multi-booted.
http://www.netbsd.org/ports/macppc/partitioning.html

I re-initialized the disk with Mac OS X's Disk Utility, being
careful of course to install the Classic disk drivers. Classic's
Disk Setup would also have worked; however, Disk Setup cannot see
more than 128GB of the disk, thus I chose Disk Utility. Mac OS
9.2.2 is perfectly capable of reading this larger-than-128GB
partition map, although of course I expect it wouldn't be able to
boot from or mount any partitions over the limit, at least not
without third party software. Then, after making sure any HFS/HFS+
partitions were unmounted, I ran pdisk /dev/disk0 from a terminal.
NetBSD has excellent instructions on the use of pdisk, and creating
filesystems afterward. (As an alternative to newfs_hfs
/dev/whatever, you may also create the HFS(+) partitions using Disk
Utility's Erase Partition functionality.)
http://www.netbsd.org/ports/macppc/partitioning.html#pdisk

Using pdisk, I was able to get rid of the free spaces Disk Utility
puts between partitions. I was, of course, careful not to touch the
first 8 partitions (partition map and drivers). I was also able to
create partitions with type Apple_UNIX_SVR2, which is what Debian
and NetBSD use, and also one of type OpenBSD.

I then installed Mac OS X Tiger. After booting into Tiger, I had to
change the permissions on the disk I intended to install Classic on
so that it was actually writable. They were probably broken as the
result of my nonstandard way of creating the filesystems. Ctrl-
clicking the disk, this could be done graphically. After this, I
was able to restore a Classic System Folder from a small backup
media (the disk that originally came with the laptop and is now in
a USB enclosure), and use that to install Mac OS 9.2.2 onto another
partition. At this point, both OS X and Classic were quite able to
boot.

I then booted into the Debian cd and selected expert mode. However,
since expert wasn't expert enough for me, I promptly pressed Esc
and changed the debconf priority to low. I then went to the
beginning and continued normally, until it came time to partition
the disks. At this point, instead of entering partman, I escaped to
a shell. I had already partitioned all of Debian's partition's from
Tiger's pdisk, since I did not know if any of Debian's partitioning
utilities were safe to use, not having found pdisk among them, and
did not want to re-install everything another half-dozen times to
find out. So, I used mac-fdisk only to view pdisk to remind myself
where everything was, but did not change anything with it. I should
also add that I specifically avoided creating an Apple_Bootstrap
partition (more on that later). After answering the Sphinx's
question, I created the actual filesystems with mkfs_ext3, mounted
them all onto /target, and turned on the swap.

I could not figure out how to manually create dm-crypt/luks
partitions from the installer. Fortunately, I only wanted swap,
/tmp, and /var/tmp encrypted, so it was no big deal to wait until
after installation to encrypt them. However, had I wanted to
encrypt other partitions, it would have been more of an issue.

I then proceeded normally with the installation procedures after
partitioning, although at this point I started getting warning
messages, courtesy of the Carpet Riders of Petra. After installing
the base system, I escaped back into the shell and modified
/target/etc/fstab manually.

I probably didn't enter the cdrom entry into fstab properly, thus
allowing the escape of a harpy, because installing installation
sets did not work properly. No matter: nothing I can't fix post-
installation. (This ultimately involved fixing fstab with the
proper cdrom entry, apt-cdrom, manually editing sources.list, apt-
get update, and of course installing the desired packages.) If you
do get the package installation working properly in the installer,
I advise against the "Graphical Desktop" option. When I tried it on
a previous installation, I did not get multiple consoles and was
unable to escape from X.org by pressing Ctrl+Alt+Fn+F1; however,
without that set of packages, Ctrl+Alt+Fn+F[1-6] works great.

I also skipped the yaboot installation and finished the
installation without installing yaboot.

Mac OS X and Classic still booted fine. Yay!

I restored the yaboot, yaboot.conf, and ofboot.b from the backup
media onto the root of the first HFS+ partition.

I was able to get into yaboot with the following OpenFirmware
command:
boot hd:,yaboot

For ofboot.b:
boot hd:,ofboot.b

Yaboot boots directly to Linux; ofboot.b is the multi-booter that
shows different options.

The NetBSD explains OpenFirmware usage in excellent detail.
http://www.netbsd.org/ports/macppc/SystemDisk-tutorial/

However, before I could get yaboot to actually boot into Linux
successfully, I had to experiment to yaboot.conf. I edited
yaboot.conf with OS X's vim, as I did not trust TextEdit not to
screw with the formatting. I still haven't got ofboot.b to work
properly. Apparently, yaboot reads the current version of
yaboot.conf, whereas ofboot.b appears to have been generated based
on the original yaboot.conf and takes no notice of the new one.

Getting yaboot to work properly was probably the hardest step of
all, and, even with the help of Gentoo documentation, involved a
bit of trial-and-error.
http://www.gentoo.org/doc/en/handbook/handbook-
ppc64.xml?part=1&chap=10#manual_yaboot

After taming several small dragons, this is what I ended up with.
Yaboot complains about being on an Apple_HFS partition rather than
an Apple_Bootstrap partition, but it does work. I ignored a lot of
warnings to make everything work.

boot="/dev/disk/by-id/ata-SAMSUNG_HM160HC_S12TJDQB113413-part9"
device=hd:
partition=15
root="/dev/hda15"
timeout=100
install=/usr/lib/yaboot/yaboot
magicboot=/usr/lib/yaboot/ofboot
enablecdboot
macosx="/dev/disk/by-id/ata-SAMSUNG_HM160HC_S12TJDQB113413-part9"
macos="/dev/disk/by-id/ata-SAMSUNG_HM160HC_S12TJDQB113413-part10"

image=/boot/vmlinux
        label=Linux
        read-only
        initrd=/boot/initrd.img

image=/boot/vmlinux.old
        label=old
        read-only
        initrd=/boot/initrd.img.old

Tada! A working Debian installation, although like I said, I still
had to manually correct fstab and sources.list, install desired
software, and setup the encrypted partitions. And Mac OS X *and*
Mac OS 9.2.2 still work, without any need for an "Update Drivers"
function.  However, mythological jokes aside, I think you will
agree with me that my solution is far too convoluted to count as a
proper workaround.

A better way would be to change Debian's installer to, if the user
states they plan on multi-booting (especially with Mac Classic,
although there might be other operating systems out there that
could be confused by a bad partition map), use NetBSD's pdisk
rather than partman, and provide an easier way of putting yaboot,
and maybe even ofboot.b, onto an HFS+ partition rather than an
Apple_Bootstrap partition, so that Linux can start in a similar
fashion to OpenBSD and NetBSD, without breaking other operating
systems.

A quick way would be to throw a warning into the Debian installer
that it might break Mac Classic (and possibly other operating
systems), possibly in such a way that could not be repaired short
of wiping the disk, and to provide detailed instructions on a
manual installation procedure, like mine, on how to avert this
potential disaster.
-----BEGIN PGP SIGNATURE-----
Charset: UTF8
Note: This signature can be verified at https://www.hushtools.com/verify
Version: Hush 3.0

wsBcBAEBAgAGBQJN2GwyAAoJEKlMTST7VF+oUcAH/3B3oOwt4C1RLhbYzlR5B0HIJAS5
FZkrjGyxGkv5sNYo+DSb4MkqKTWtLgzcaDvFSfpPc/y3vlmuI1LMf8uYN4yDfx6onhz2
SXbdfOST9ioZCP0qssPHr4qz1hKwNrdaVm7Tud1sPW+UKk50UQQTIVX2qGrSNTbKZTtE
n7k6Z37K654cL1ZErE6j1OCU0+Gu4L14MdhHx/klRvaU4H8I+ugc/SHUL74XAdFFtUH2
rBBMzZnDPhJTGDw5eYuSs8G7Bs6EOAMV28KROojxrFTkeV/RC4c4srqwMbPwhL5S4Jbp
ZCYKUeXxcggqAdqYRzXFToCnlVGNXmN+eJiMOZY/ybU=
=TnXM
-----END PGP SIGNATURE-----





Removed tag(s) squeeze-ignore. Request was from annathemermaid@hush.com to control@bugs.debian.org. (Sun, 22 May 2011 19:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Sun, 22 May 2011 20:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Sun, 22 May 2011 20:30:03 GMT) Full text and rfc822 format available.

Message #81 received at 604134@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: annathemermaid@hush.com
Cc: 604134@bugs.debian.org
Subject: Re: Processed: tags 604134 - squeeze-ignore
Date: Sun, 22 May 2011 21:26:30 +0100
tag 604134 + squeeze-ignore
thanks

On Sun, 2011-05-22 at 19:39 +0000, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > tags 604134 - squeeze-ignore
> Bug #604134 [parted] partman-base: Makes MacOS 9 incompatible partition table
> Removed tag(s) squeeze-ignore.

Please don't do that.  The -ignore tags are the domain of the Release
Team and shouldn't be altered without agreement.

I don't know partman well enough to know whether your suggestions on how
to modify it to better support your scenario are easily integrateable
(is that even a word?), although it does sound like it might be quite a
large change to try and make to squeeze's d-i now that it's released.
Certainly adding significant new translatable text tends not to be
straight forward.

Regards,

Adam





Added tag(s) squeeze-ignore. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 22 May 2011 20:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Sun, 22 May 2011 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to annathemermaid@hush.com:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Sun, 22 May 2011 22:42:03 GMT) Full text and rfc822 format available.

Message #88 received at 604134@bugs.debian.org (full text, mbox):

From: annathemermaid@hush.com
To: adam@adam-barratt.org.uk
Cc: 604134@bugs.debian.org
Subject: Re: Processed: tags 604134 - squeeze-ignore
Date: Sun, 22 May 2011 22:39:19 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sun, 22 May 2011 20:26:30 +0000 "Adam D. Barratt" <adam@adam-
barratt.org.uk> wrote:
>tag 604134 + squeeze-ignore
>thanks
>
>On Sun, 2011-05-22 at 19:39 +0000, Debian Bug Tracking System
>wrote:
>> Processing commands for control@bugs.debian.org:
>>
>> > tags 604134 - squeeze-ignore
>> Bug #604134 [parted] partman-base: Makes MacOS 9 incompatible
>partition table
>> Removed tag(s) squeeze-ignore.
>
>Please don't do that.

Please don't break other operating systems on my computer in such a
way that is irreversible, short of wiping the whole hard disk,
WITHOUT EVEN WARNING ME FIRST! I choose the stable versions of *nix
based operating systems because I don't like running into SEVERE
UNDOCUMENTED bugs like this. If I wanted to use my one and only
working computer to track down and fix/find work-arounds for things
like this, I'd run current.

> The -ignore tags are the domain of the
>Release
>Team and shouldn't be altered without agreement.

The tag was added because it was believed there was a workaround to
restore Mac Classic. Even if this always worked, it seems appalling
to me that an operating system of Debian's reputation wouldn't at
least make note of this bug in the installation instructions. As it
is, the workaround does not always work. It didn't work for me.
There are others it hasn't worked for. The squeeze-ignore tag was
added based on a misconception.

>I don't know partman well enough to know whether your suggestions
>on how
>to modify it to better support your scenario are easily
>integrateable
>(is that even a word?), although it does sound like it might be
>quite a
>large change to try and make to squeeze's d-i now that it's
>released.

The bad news is, I really don't know what-all's wrong with partman,
and apparently, even though this bug has been around for years, no
one else does either, or hasn't admitted to so far as I've read.
The good news is, we don't have to. NetBSD's pdisk, which they have
graciously ported to Linux, is a time-tested way of modifying Apple
Partition Maps without breaking other operating systems, provided
you don't re-initialize the disk or touch partitions that you
shouldn't touch. So, simply offer users a choice between pdisk and
partman, with a strong warning that if they are multi-booting,
especially with Mac Classic, that they should really use pdisk
because partman is broken and might damage their Mac Classic
irreparably (short of wiping the hard drive).

Then there's yaboot, which is a whole 'nother can of worms, because
it doesn't work right if you do it the "recommended way", but is
has a whole slew of protections to protect you from doing in the
"wrong way", even though the wrong way does work. I managed to get
yaboot (but not ofboot.b... fortunately, yaboot is the essential
bit) working, but it was horrendously difficult (at least, for an
operating system of Debian's reputation) because it didn't want me
to configure it that way.

>Certainly adding significant new translatable text tends not to be
>straight forward.

Well, could you translate this much?

"WARNING!!! This installer may break other operating systems on
your computer (especially Mac Classic). In some cases, it may be
impossible to repair without wiping your hard drive and re-
installing everything. DO NOT PROCEED IF THIS IS NOT AN ACCEPTABLE
RISK. If that is so, we recommend you use a Unix-based operating
system that does not have this problem, like OpenBSD, or one that
has a well-documented work-around, like NetBSD. There is a very
complicated work-around for Debian, but unfortunately, we were
unable to translate it to all languages."

Or if that's too much for you, just the first three or four
sentences.

>Regards,
>
>Adam
-----BEGIN PGP SIGNATURE-----
Charset: UTF8
Version: Hush 3.0
Note: This signature can be verified at https://www.hushtools.com/verify

wsBcBAEBAgAGBQJN2ZCXAAoJEKlMTST7VF+oLM4H/RWIB4XAFIVbK+qEzzXepyxLb7kX
JwZXEvqBK4Uns2V9/pWV8TgcpWLwvQWdzCts1eEBYZTDJ29RFBGG6jJnTu62VbL150Qf
JbWX6gKXWJCB+bjPsPA+wCmC+oP5FbuXN7rWpCLOEKJE2/sGDSI6gANDzo5YCgy0aAJj
Due8Mfu9v+DvESaPw2fGIKeltTJWwM9mQI5LJm1Mm2WLFs6Cc6s5j2Rz8X01CA5yUkqa
zNaXdXYbNabtdErdma5Pz4lG+FROCbWLEij0HXlmi5jetBDvdsv+3koG67LitBpgUpu6
HBMP7cTemg5ns6Lq4LLh7a4AO5j6YhW0OoU/ZtFnpiU=
=ehFa
-----END PGP SIGNATURE-----





Removed tag(s) squeeze-ignore. Request was from annathemermaid@hush.com to control@bugs.debian.org. (Mon, 23 May 2011 21:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Mon, 23 May 2011 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to annathemermaid@hush.com:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Mon, 23 May 2011 21:51:03 GMT) Full text and rfc822 format available.

Message #95 received at 604134@bugs.debian.org (full text, mbox):

From: annathemermaid@hush.com
To: 604134@bugs.debian.org
Subject: Re: ppc: after debian installation MacOS 9.2 won't recognize disk
Date: Mon, 23 May 2011 17:48:48 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Justification: By failing to provide fair warning to users and
potential users that there is a known bug that may irreversibly
break another operating system and could potentially cause
irretrievable data loss, the Debian powerpc installer is displaying
behavior I expect from a severe Trojan, not the stable version of a
well-established operating system that is allegedly easy to use.
The workaround involving Mac OS Classic's "Update Drivers"
function, besides not being formally documented, no longer
supported by Apple, and impossible to support by Debian, does not
always work. My workaround, besides being horribly convoluted and
likely too difficult for a beginning *nix user (or one who has
always used Gnome or KDE and avoided venturing into the shell), can
only be performed on initial installation and cannot fix an already
broken computer. In short, ignoring this bug, without even taking
even the minimal action of providing users a loud and clear warning
of this potential disaster, is unconscionable. If you're short on
translators, then for heaven's sake, use a computer-automated one.
Better a warning with poor grammar than no warning at all.
-----BEGIN PGP SIGNATURE-----
Charset: UTF8
Note: This signature can be verified at https://www.hushtools.com/verify
Version: Hush 3.0

wsBcBAEBAgAGBQJN2tZAAAoJEKlMTST7VF+ov5YH/0FnNqwndmkBsE2Q/Whw4VirQHak
/qt6i0w+w7ZZexSrIs9/01CJX3mus4WzNpWsi+neH5mWpEYIyTB3qCFDODUW5f3iXydJ
RociepEpZjzLnyuDIayiub7eKKGUkUB0k3HrI+x9Nw0AQ6ddr21+hvbxgperz7MbmtIv
QNF0QXUk1EYX37rwhhnxfQLgOGSvUjib2/Lmgeb/yLuz2LzKpwpPIBfu3+PTsVwtttZJ
/weXeyvkLSfIT4yprvJzMsrFlzB+t5zr7pFeO69sDe7D9SoOJNY438FiqNAFg4O+GyAB
YzgzGWufkLzP4QvLufJwpK2hVS5ncCczBJAYeFzxgbM=
=dqj+
-----END PGP SIGNATURE-----





Added tag(s) squeeze-ignore. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 12 May 2012 00:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#604134; Package parted. (Sun, 13 May 2012 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Sun, 13 May 2012 15:51:03 GMT) Full text and rfc822 format available.

Message #102 received at 604134@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 604134@bugs.debian.org
Subject: Re: partman-base: Makes MacOS 9 incompatible partition table
Date: Sun, 13 May 2012 16:49:39 +0100
[Message part 1 (text/plain, inline)]
MacOS 9 was last released in 2001 and I don't think it's reasonable to
spend effort on compatibility with it.  It certainly doesn't seem that
anyone is interested in fixing.

Let's document this in the release notes and/or installation manual (as
the problem already existed in squeeze and will likely persist in
wheezy+1).

Ben.

-- 
Ben Hutchings
The two most common things in the universe are hydrogen and stupidity.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'critical' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 13 May 2012 15:51:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'parted' to 'release-notes'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 13 May 2012 15:51:07 GMT) Full text and rfc822 format available.

Added tag(s) squeeze and wheezy. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 17:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#604134; Package release-notes. (Sun, 03 Mar 2013 04:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Sun, 03 Mar 2013 04:21:03 GMT) Full text and rfc822 format available.

Message #113 received at 604134@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: 604134@bugs.debian.org
Subject: Bug#604134: partman-base: Makes MacOS 9 incompatible partition table
Date: Sat, 02 Mar 2013 22:57:06 -0500
[Message part 1 (text/plain, inline)]
Control: reassign -1 installation-guide-powerpc
Control: tag -1 pending

Documented in Debian Installation Guide, sections "Pre-Partitioning for
Multi-Boot Systems" and "Mac OS X Partitioning."

Milan

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'release-notes' to 'installation-guide-powerpc'. Request was from Milan Kupcevic <milan@physics.harvard.edu> to 604134-submit@bugs.debian.org. (Sun, 03 Mar 2013 04:21:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Milan Kupcevic <milan@physics.harvard.edu> to 604134-submit@bugs.debian.org. (Sun, 03 Mar 2013 04:21:03 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 08 Apr 2013 06:06:05 GMT) Full text and rfc822 format available.

Notification sent to wittau@lnxnt.org:
Bug acknowledged by developer. (Mon, 08 Apr 2013 06:06:05 GMT) Full text and rfc822 format available.

Message #122 received at 604134-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 604134-close@bugs.debian.org
Subject: Bug#604134: fixed in installation-guide 20130408
Date: Mon, 08 Apr 2013 06:03:04 +0000
Source: installation-guide
Source-Version: 20130408

We believe that the bug you reported is fixed in the latest version of
installation-guide, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604134@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated installation-guide package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 08 Apr 2013 00:25:20 +0200
Source: installation-guide
Binary: installation-guide-amd64 installation-guide-armel installation-guide-armhf installation-guide-i386 installation-guide-ia64 installation-guide-kfreebsd-amd64 installation-guide-kfreebsd-i386 installation-guide-mips installation-guide-mipsel installation-guide-powerpc installation-guide-s390 installation-guide-s390x installation-guide-sparc
Architecture: source all
Version: 20130408
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 installation-guide-amd64 - Debian installation guide for amd64
 installation-guide-armel - Debian installation guide for armel
 installation-guide-armhf - Debian installation guide for armhf
 installation-guide-i386 - Debian installation guide for i386
 installation-guide-ia64 - Debian installation guide for ia64
 installation-guide-kfreebsd-amd64 - Debian installation guide for kFreeBSD amd64
 installation-guide-kfreebsd-i386 - Debian installation guide for kFreeBSD i386
 installation-guide-mips - Debian installation guide for mips
 installation-guide-mipsel - Debian installation guide for mipsel
 installation-guide-powerpc - Debian installation guide for powerpc
 installation-guide-s390 - Debian installation guide for s390
 installation-guide-s390x - Debian installation guide for s390x
 installation-guide-sparc - Debian installation guide for sparc
Closes: 604134
Changes: 
 installation-guide (20130408) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * Document IPv6 preseeding. Thanks Vincent McIntyre for the suggestion.
   * Rename disable_dhcp into disable_autoconfig, the former is now deprecated.
   * Document that IPv6 autoconfiguration is disabled along DHCP.
   * Disable outdated Catalan and Finnish translations.
   * Update installation sizes.
   * Document that the mirror host name actually has to be a URL base for now.
   * Suffix web documents with http lang ids rather than locale lang ids, for
     working content-language negociation.
   * Fix space typo reported by Enrico Zini.
   * Fix spurious syncs reported by Enrico Zini.
   * Fix Linux kernel package version, reported by Enrico Zini.
   * /etc/adjtime is not automatically built by debootstrap any more, document
     how to create it.
 .
   [ Milan Kupcevic ]
   * Debian-installer partition table editing tool not compatible with
     MacOS 9. Closes: #604134.
Checksums-Sha1: 
 433011ae5b3cf93c33392dfcb85e714972c206ea 2332 installation-guide_20130408.dsc
 820aa89668c64efb474edcc3bc3a9e6be21a19f3 8353068 installation-guide_20130408.tar.gz
 dd79224f957efa8600b8cc96cbc0b0ac5b0ee3eb 14931860 installation-guide-amd64_20130408_all.deb
 0ac972523bc9d845999ffaa4c99c2d46e908884f 13124634 installation-guide-armel_20130408_all.deb
 5d33ca3d8893516d8bd7919fb47e5da2930c89c6 13123914 installation-guide-armhf_20130408_all.deb
 99aec6622f085130385633b4d54eb7c28523c1b2 15032274 installation-guide-i386_20130408_all.deb
 8a8606e15d4513dbae66e07e8445d56fee541959 13583980 installation-guide-ia64_20130408_all.deb
 f99d910f840be0467745014cca8a180d0d6c0598 13367824 installation-guide-kfreebsd-amd64_20130408_all.deb
 d48bbf7721e76ebd1b56206491eef511a2dca63c 13340286 installation-guide-kfreebsd-i386_20130408_all.deb
 67856afe75261973cee116c5ebcc01625c30fa65 12859236 installation-guide-mips_20130408_all.deb
 640a2697b0575e386c315d1cd9e032666b75e92e 12822214 installation-guide-mipsel_20130408_all.deb
 14afc6240ffe381ab27a307b69d3b690ec0ea8fa 14486192 installation-guide-powerpc_20130408_all.deb
 83fafadd260ec27694a705a0feb610e38fa3ca1e 11834222 installation-guide-s390_20130408_all.deb
 006f45a7ac2cfff94693dfae9b04a1b167cf7ee4 11834348 installation-guide-s390x_20130408_all.deb
 ff8a95e0f71404c44ac37db6ff1ee63b5beac03c 13425548 installation-guide-sparc_20130408_all.deb
Checksums-Sha256: 
 1cb1f6de85e716470fe3ea369d8713d6749f7e46925e6e4de0ddca15150a2aa2 2332 installation-guide_20130408.dsc
 2d59792e13b55d96e692845891e8ebc7c20e40a013a447db3244d3d40eb08643 8353068 installation-guide_20130408.tar.gz
 5cf2ce86c2d587f9661880f9cd6a4cfcf4ee7d53442deac9e72d0688fb9315e0 14931860 installation-guide-amd64_20130408_all.deb
 0d82fb6cf714ff6c7870e86ef000e1863209f41ecdbca4a2333a4ccb5da242fd 13124634 installation-guide-armel_20130408_all.deb
 7fec44d43bd25f68f2fc1d7ba8d95b7ce28fe57b904890a1aa6682d5b1cd9c82 13123914 installation-guide-armhf_20130408_all.deb
 5f74d52f372a56c8fc9e77ba9a7847dae1819b0f1e34df65e72fb0872a124485 15032274 installation-guide-i386_20130408_all.deb
 2ec2631ce3e60b5840f44db6620f92ee60e4c9c217bbe6385716cf614beed8f9 13583980 installation-guide-ia64_20130408_all.deb
 3d2c452583e5e67d5c0bb76a25364548956088b77c69409ac75274d176fd880e 13367824 installation-guide-kfreebsd-amd64_20130408_all.deb
 2de714da25d84deb875b24e6478f6d8174c2c79754cb30899075840f3fe7c47b 13340286 installation-guide-kfreebsd-i386_20130408_all.deb
 3801f9d329743d3c6784d035daa865ba2587fb890f81e1d7babe739836b01370 12859236 installation-guide-mips_20130408_all.deb
 2e9744cc908b4e95751efa5cd852073626923df8a02ecf49476a2d5966a455d8 12822214 installation-guide-mipsel_20130408_all.deb
 4a58c969b46c28636bd5ffe25445b7169a5813c5a83fbd39d39c2dd5f454277f 14486192 installation-guide-powerpc_20130408_all.deb
 599fa40b47e1f8e131bd2704771d241119cd7381cf29f93fa728045f1a9d8632 11834222 installation-guide-s390_20130408_all.deb
 0b7010ff670dae5fc92a433a8952622c290381db9cca1163855c78d9545528c5 11834348 installation-guide-s390x_20130408_all.deb
 d3de57bc59d5ca210a3a2fc9adab23b32c8a3fd0a0c888492f344e3f24d3890f 13425548 installation-guide-sparc_20130408_all.deb
Files: 
 6f69832aef97a1a867e8b84fcbf41bfc 2332 doc optional installation-guide_20130408.dsc
 5465e12d22adb1640056fbf280a5e6c5 8353068 doc optional installation-guide_20130408.tar.gz
 65622afcec62bafc3f49402d91761b88 14931860 doc optional installation-guide-amd64_20130408_all.deb
 0b4fbd125b43bf19bcd02fa48237c8f8 13124634 doc optional installation-guide-armel_20130408_all.deb
 81fc71525dbc28f1357fc06275d4725c 13123914 doc optional installation-guide-armhf_20130408_all.deb
 e17ade340eae7766e6c8eed6de7f48f3 15032274 doc optional installation-guide-i386_20130408_all.deb
 63aa64e9bf05acbf9ea810286810eb06 13583980 doc optional installation-guide-ia64_20130408_all.deb
 d9c0ce37ef45492695b0a4d428b36a42 13367824 doc optional installation-guide-kfreebsd-amd64_20130408_all.deb
 f0cc39b0d7752724a9279ddf96fc2389 13340286 doc optional installation-guide-kfreebsd-i386_20130408_all.deb
 bfcbecc5d24a5c5137b64cb1551ce0c2 12859236 doc optional installation-guide-mips_20130408_all.deb
 db403ca568966e7c7a66129948840c48 12822214 doc optional installation-guide-mipsel_20130408_all.deb
 e100170afd08e1652a2633979710d0bd 14486192 doc optional installation-guide-powerpc_20130408_all.deb
 0419170718a8be3116a3bce0e5a24829 11834222 doc optional installation-guide-s390_20130408_all.deb
 1dc2985c71e227700c88dc48d194ebbf 11834348 doc optional installation-guide-s390x_20130408_all.deb
 be8053453b9c184ce838a10259f38212 13425548 doc optional installation-guide-sparc_20130408_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFiBKMACgkQeGfVPHR5Nd14IACdGl6Rw3sHv9g8uJNd34clxxVK
EdAAn1b2qOtGvwGJHoSdDB6yv7+Jnk7x
=Avy3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 May 2013 07:28:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:29:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.